import { r as registerInstance, h } from './index-b13326fc.js';
import { E as ElementQuestionBase } from './element-question-base-275076e1.js';

const ElementIconEditor = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    prop(path, options = {}) {
        return this.handler.prop(path, Object.assign({}, options));
    }
    render() {
        return (h(ElementQuestionBase, { t: this.t, question: this.prop('question', { localize: true }), required: this.prop('required') }, h("bce-option-creator", Object.assign({}, this.prop('options'), { "allow-color": true, label: this.t('me-element-icon'), t: this.t })), h("slot", null)));
    }
};

export { ElementIconEditor as bce_element_icon_editor };
